Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Interface GridPoint

All Superinterfaces:
  DomainObject

    @UML(identifier="CV_GridPoint",
         specification=ISO_19123)
    public interface GridPoint

extends DomainObject

Point located at the intersection of two or more curves in a grid.

Method Summary
`Set<GridCell>` | `getCells()` Returns the set of grid cells for which this grid point is a corner.
`Set<FootPrint>` | `getFootPrint()` Returns the foot prints that represents the sample space in an external coordinate reference system associated with this grid point.
`Grid` | `getFramework()` Returns the grid of which it is an element.
`GridCoordinates` | `getGridCoordinates()` Returns the set of grid coordinates that specifies the location of the grid point within the grid.
`Point` | `getGroundPoint()` Returns the representation of the grid point in an external coordinate reference system.

Methods inherited from interface DomainObject
`getSpatialElements, getTemporalElements`

Method Detail

### getGridCoordinates

    @UML(identifier="gridCoord",
         obligation=MANDATORY,
         specification=ISO_19123)
    GridCoordinates getGridCoordinates()

  Returns the set of grid coordinates that specifies the location of the grid point within the grid.

### getFramework

    @UML(identifier="framework",
         obligation=MANDATORY,
         specification=ISO_19123)
    Grid getFramework()

  Returns the grid of which it is an element.

  See Also:
    `Grid.getIntersections()`

### getCells

    @UML(identifier="cell",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridCell> getCells()

  Returns the set of grid cells for which this grid point is a corner.

  See Also:
    `GridCell.getCorners()`

### getGroundPoint

    @UML(identifier="groundPoint",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Point getGroundPoint()

  Returns the representation of the grid point in an external coordinate reference system.

### getFootPrint

    @UML(identifier="footprint",
         obligation=OPTIONAL,
         specification=ISO_19123)
    Set<FootPrint> getFootPrint()

  Returns the foot prints that represents the sample space in an external coordinate reference system associated with this grid point. The multiplicity of the association allows for multiple external coordinate reference systems for foot print.

  See Also:
    `FootPrint.getCenter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.